/*
 * $Id: globals.h,v 1.1 2015/01/09 22:09:49 charlesetsmith Exp $
 */

// #ifndef _GLOBALS_H
// #define _GLOBALS_H

#include <iostream>
#include <cstring>
#include <string>
#include <vector>
#include <list>
#include <sys/types.h>
#include "screen.h"
#include "ip.h"
#include "sarflags.h"
#include "timestamp.h"
#include "cli.h"

using namespace std;

/*
 * If a variable or class is to be used globally then it must be declared as external
 * here and it to be fully declared in globals.cpp so that saratoga.o and checksum.a
 * can reference it as well
 */

namespace saratoga
{

extern cli_beacon	c_beacon;
extern cli_exit		c_exit;
extern cli_bundles	c_bundles;
extern cli_checksum	c_checksum;
extern cli_debug	c_debug;
extern cli_descriptor	c_descriptor;
extern cli_eid		c_eid;
extern cli_freespace	c_freespace;
extern cli_get		c_get;
extern cli_ls		c_ls;
extern cli_peers	c_peers;
extern cli_put		c_put;
extern cli_rm		c_rm;
extern cli_rmdir	c_rmdir;
extern cli_rx		c_rx;
extern cli_streams	c_streams;
extern cli_timestamp	c_timestamp;
extern cli_tx		c_tx;

extern sarnet::udp*	v4out;
extern sarnet::udp*	v6out;
extern sarnet::peers	sarpeers;	// Dynamic list of udp sockets (peers) we write to

}; // namespace saratoga

// #endif // _GLOBALS_H
